2.5.5 update to 2.5.28 broke something.

Need help with the Administration of your Joomla! 2.5 site? This is the spot for you.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
nate_k
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Fri Jul 10, 2009 4:26 pm

2.5.5 update to 2.5.28 broke something.

Post by nate_k » Sat Mar 04, 2017 4:05 am

It's been a little while since I've done this but I ran the joomla update from the backend (2.5.5) which updated to 2.5.28. I then went to update in the extension manager and selected all items for update then got an error and now I have no admin control panel page. I can access other menu items from the admin panel but my control panel page after logging in is totally blank and I'm not sure what broke it.

Enabling errors shows a mess of problems such as:
Strict Standards: is_a(): Deprecated. Please use the instanceof operator in /administrator/components/com_widgetkit/helpers/system.php on line 151

Notice: Undefined index: page in /public_html/templates/yoo_nano/warp/systems/joomla/layouts/head.php on line 15

TRICT STANDARDS: NON-STATIC METHOD JAPPLICATION::GETMENU() SHOULD NOT BE CALLED STATICALLY, ASSUMING $THIS FROM INCOMPATIBLE CONTEXT IN /PUBLIC_HTML/INCLUDES/APPLICATION.PHP ON LINE 536

many, many more errors. Is anyone able to help?

Thanks in advance!

User avatar
imanickam
Joomla! Master
Joomla! Master
Posts: 27258
Joined: Wed Aug 13, 2008 2:57 am
Location: Chennai, India

Re: 2.5.5 update to 2.5.28 broke something.

Post by imanickam » Sat Mar 04, 2017 5:23 am

From the first error message one could deduce that there is an issue with the third party extension/component WidgetKit. It is suggested that you get the latest WidgetKit that is compatible with Joomla! 2.5 and install it.

Being a Yoo theme, I believe that the second error message is dependent on the first message.

In addition, WidgetKit being a commercial extension, would suggest getting the help from the extension developer.

Hope your hosting environment meets the technical requirements as documented at https://downloads.joomla.org/technical-requirements.

What happens if you set the value of "None" to the option "Display Errors" that is available in the tab "Server" of the "Global Configuration"?

Note: Make a copy of the site files and the database content before attempting to reinstall Widget Kit.
Ilagnayeru (MIG) Manickam | இளஞாயிறு மாணிக்கம்
Joomla! - Global Moderators Team | Translations Coordination Team | Tamil (தமிழ்) Translation Team

Eegan - Support the poor and underprivileged

nate_k
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Fri Jul 10, 2009 4:26 pm

Re: 2.5.5 update to 2.5.28 broke something.

Post by nate_k » Sat Mar 04, 2017 11:47 am

I had already figured that out by the amount of errors generated by the theme and warp framework. So that is already a given. Those were just a few random lines out of the error log and the log is fairly long. My biggest issue is the blank admin page in the backend. I should be receiving login information today for yootheme so I can update the template and framework I'm just looking for a little help fixing the blank page.

Admin page went blank after updating to 2.5.28 from 2.5.5 then updating extensions from the update tab under extension manager. While updating it gave a visible error No such file or directory in /administrator/components/com_jce/models/model.php on line 14 and then I had no more admin page (control panel).

Again, my question is to fix the blank admin page. I already know the template, framework, jce and gktabs all need to be updated.


Locked

Return to “Administration Joomla! 2.5”